Subject: [Ltru] Re: Late questions on LTRU documents

From: "Randy Presuhn" <[email-masked]>
Date: Wed, 12 Oct 2005 17:39:38 -0700

Hi -

I've cc-ed the ltru working group in case I answer any of Michelle's
questions incorrectly.

> From: "Michelle Cotton" <[email-masked]>
> To: "'Scott Hollenbeck'" <[email-masked]>; <[email-masked]>
> Sent: Wednesday, October 12, 2005 5:09 PM
> Subject: Late questions on LTRU documents
>
> Scott and Randy,
> 
> Apologies for not getting these to you sooner.  I went through the massive
> amounts of comments but still have the following comments/questions for
> these documents.
> 
> Sorry if some of my comments sound repetitive or strange...I've been
> reviewing too many documents today ....

No problem.  My responses are in-line below.  Don't hesitate to ask for
clarification if they don't help.

> Thanks,
> 
> Michelle
> (on behalf of IANA)
> 
> Draft-ietf-ltru-registry-13.txt
> The following 2 registries will be marked as OBSOLETE (these will not be
> added to or modified).
> http://www.iana.org/assignments/language-tags
> http://www.iana.org/assignments/lang-tag-apps.htm

Correct.
 
> In section 5.1, one sentence says "Records MUST NOT be deleted from the
> registry."  Later in that same paragraph it says "Modified records MUST
> overwrite the record they replace."  Isn't that the same as deleting an old
> one adding a new one?  Does that really mean Records can not just be deleted
> without a replacement?  Just double-checking.

Yes, it means that records must not simply be deleted without
a replacement.
 
> For the following:
>    "In the event that the File-Date record present in the registry has a
>    later date then the record being inserted or modified, the existing
>    record MUST be preserved."
> I may just be tired...just making sure this means that if there is a later
> date in the registry, and IANA receives an "INSERT" with an earlier date,
> IANA is supposed to keep the more current date?

No.  As I understand it, the text says if the date on an update record is
less recent than the File-Date, then the update/insertion cannot take place.
The sentence before the one you quoted says "Included in any request to
insert or modify records MUST be a new File-Date record."  Taken together,
these mean that requests need to be processed in the order of their
File-Date records, and imply that language tag reviewers should take some
care that these requests are sent to IANA in the right order.

> The IANA will create/maintain 2 registires:
> Language Subtag Registry
> Extensions Registry
> 
> I'm a bit confused about the Extensions Registry.  Is there an initial
> registry?

Yes, but there's very little to go in it.  As described on page 37:

   An initial version of the Language Extension Registry described in
   Section 3.7 is also needed.  The Language Extension Registry SHALL be
   initialized with a single record containing a single field of type
   "File-Date" as a placeholder for future assignments.
 
> Am I understanding correctly that for Extensions, these will only be
> submitted by the IESG or the "maintaining authority".  If there are no
> initial extensions how do I know what the maintaining authorities are?

As I see it, the IANA Considerations Section of an RFC defining an extension
would supply the required information to go into the registry.  The
"maintaining authority" for each extension will be defined in its respective
RFC.

> For the Language Subtags, do I understand correctly that they IANA will
> continue with the same procedure of waiting for approval from the language
> tag expert? 

Yes.  (Section 3.2, 3.5)

> Is the expert going to remain the same?

I do not know, but would hope so.  Section 3.8 says:
"Until the IESG officially appoints a Language Subtag Reviewer,
the existing Language Tag Reviewer SHALL serve as the Language
Subtag Reviewer."
 
> Draft-ietf-ltru-initial-05.txt
> I understand this document to contain the initial registrations for the NEW
> Language Subtag Registry.  It is in record-jar format.  Is this something
> that can just be cut and pasted into a text document (minus all the document
> header/footers/extra spaces)?

Yes.  If you like, the document's editor can supply IANA with the data.

> Does IANA need to do anything with the omitted code elements in section 4?

No.  They are there for historical interest only.

Randy, ltru co-chair

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Kent Karlsson" <[email-masked]>
Date: Thu, 13 Oct 2005 11:04:07 +0200 (CEST)

>>    later date then the record being inserted or modified, the existing

While we're fixing typos:

I suppose "later date then" should really be "later date than".

Or even "later date than the File-Date field of".

    /kent k

---

From: "John.Cowan" <[email-masked]>
Date: Thu, 13 Oct 2005 08:36:13 -0400

Randy Presuhn scripsit:

> [R]equests need to be processed in the order of their

The simplest way to ensure this is for the LSR should set the File-Date
to the date the record is transmitted to IANA.

-- 
Is a chair finely made tragic or comic? Is the          John Cowan
portrait of Mona Lisa good if I desire to see           [email-masked]
it? Is the bust of Sir Philip Crampton lyrical,         www.ccil.org/~cowan
epical or dramatic?  If a man hacking in fury           www.reutershealth.com
at a block of wood make there an image of a cow,
is that image a work of art? If not, why not?               --Stephen Dedalus